Page MenuHomePhabricator

Deploy new mobile userpage header to stable
Closed, ResolvedPublic5 Story Points

Description

Stalled until new profiles are live on beta in production and we've had a chance to review.

  • Monitor for feedback on mobile web beta channel
  • Ensure tests are passing
  • Place on the train
  • Check with @Nirzar what should happen with cached HTML. Options here include using JS to load the new UI ($$), flushing cache ($$$), loading css via JS but not making html changes ($), showing a warning that a user is viewing an old version and a link to action=purge to fix it ($), nothing (free)

Event Timeline

JKatzWMF created this task.Dec 7 2015, 5:35 PM
JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added subscribers: Pginer-WMF, dr0ptp4kt, Jdlrobson and 13 others.
Jdlrobson renamed this task from Deploy new mobile userpage header to beta to Deploy new mobile userpage header to stable.Dec 15 2015, 5:38 PM
Jdlrobson changed the task status from Open to Stalled.
Jdlrobson updated the task description. (Show Details)

Change 194451 had a related patch set uploaded (by Jdlrobson):
WIP: Remove Special:UserProfile functionality

https://gerrit.wikimedia.org/r/194451

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJan 19 2016, 7:52 PM
Jdlrobson updated the task description. (Show Details)Jan 20 2016, 7:24 PM
Jdlrobson added a subscriber: Nirzar.

@Jdlrobson Let's go with caching issues for first 30 days.

@Jdlrobson, @phuedx, anything further required on the patch?

If not, let's ship it. If yes, what's the ETA for the patch tweak?

Our aim should be to have this rolling out on stable channel week 2 of this sprint, sprint 64.

Jon's original patch was good. Can someone else review it too? I'll address any issues from now on.

I was hoping @Nirzar would take a look today and then would have +2ed it but I haven't been able to find him.
@phuedx would you mind taking a look?

Looks like we'll miss the cut off unfortunately.

Change 194451 merged by jenkins-bot:
Remove Special:UserProfile functionality

https://gerrit.wikimedia.org/r/194451

@dr0ptp4kt: This task is now Ready for Signoff.

@Nirzar has already signed off so assigning to Adam.

Can be seen here -> http://en.m.wikipedia.beta.wmflabs.org/wiki/User:Jdlrobson

Also doing a phab ping @dr0ptp4kt

Verified on http://en.m.wikipedia.beta.wmflabs.org/wiki/User:Jdlrobson?cb=a (cache busted). Accepted.

Presently on a mobile device, so cannot drag task.

Jdlrobson closed this task as Resolved.Jan 28 2016, 4:55 PM

per Adama

dr0ptp4kt updated the task description. (Show Details)Jan 29 2016, 5:56 AM